using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using System.Collections;
using System.Text.RegularExpressions;
using System.Text;

namespace UUN
{
    /// <summary>
    /// 编译Club/Collection_Add.aspx文件
    /// </summary>
    public class 编译扩展_Club_Collection_Add : 编译扩展接口
    {
        private SqlConnection 连接;
        private HttpContext HC;
        private 编译器 编译器;

        public 编译扩展_Club_Collection_Add(SqlConnection 连接, HttpContext HC, 编译器 编译器)
        {
            this.连接 = 连接;
            this.HC = HC;
            this.编译器 = 编译器;
        }

        #region 编译扩展接口 成员

        public string 开始执行代码()
        {
            编译器.方法库 += @"
	private String 标题;
	private String 地址;
	private String 返回地址;
	private String 随机值;
	private void 初始化信息()
	{
		标题=Request.QueryString[""title""];
		地址=Request.QueryString[""url""];
		返回地址=Request.QueryString[""rurl""];
		随机值=常用.随机字符(8);
		if(地址==null||地址=="""")
			地址=""http://"";
	}
";
            return @"
		访问.验证会员();
		初始化信息();
";
        }

        public string 编译公共标签(string 代码)
        {
            switch (代码)
            {
                case "标题":
                    return @"
		返回值.Append(Server.HtmlEncode(标题));
";
                case "地址":
                    return @"
		返回值.Append(Server.HtmlEncode(地址));
";
                case "返回地址":
                    return @"
		返回值.Append(Server.HtmlEncode(返回地址));
";
                case "随机值":
                    return @"
		返回值.Append(随机值);
";
                default:
                    return "";
            }
        }

        public string 编译模板方法(string 方法名称, string[] 属性数组)
        {
            return "";
        }

        public string 结束执行代码()
        {
            return "";
        }

        #endregion
    }
}